package com.ruoyi.project.business.domain.vo.validataion;

import com.ruoyi.common.utils.bean.BeanUtils;
import com.ruoyi.project.business.domain.TpParaValidation;
import java.util.Objects;
import lombok.Data;

@Data
public class ParamCheckResultVO {

    private String caseName;

    private String resultFalseUS;

    private String resultFalseRU;

    private String resultFalseES;

    private String resultFalse;

    private String result;

    private String calculateValue;


    public static ParamCheckResultVO convert(TpParaValidation tpParaValidation) {
        ParamCheckResultVO paramCheckResultVO = new ParamCheckResultVO();
        if (Objects.nonNull(tpParaValidation)) {
            BeanUtils.copyProperties(tpParaValidation, paramCheckResultVO);
        }
        return paramCheckResultVO;
    }

}
